aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-02-14 17:42:12 +0100
committerMarcoFalke <*~=`'#}+{/-|&$^_@721217.xyz>2023-09-14 18:58:44 +0200
commitbbbbdb0cd57d75a06357d2811363d30a498f4499 (patch)
treee27fde6a98d8a81ea08890a10c544620559624a1 /ci
parentfada2f91108a56cc5c447bd6b6fac411e4d5cdca (diff)
ci: Add filesystem lint check
Diffstat (limited to 'ci')
-rwxr-xr-xci/lint/04_install.sh11
-rwxr-xr-xci/lint/06_script.sh1
-rwxr-xr-xci/lint/container-entrypoint.sh1
3 files changed, 13 insertions, 0 deletions
diff --git a/ci/lint/04_install.sh b/ci/lint/04_install.sh
index 8113500fb2..795cd36ad0 100755
--- a/ci/lint/04_install.sh
+++ b/ci/lint/04_install.sh
@@ -33,6 +33,17 @@ export PATH="${PYTHON_PATH}/bin:${PATH}"
command -v python3
python3 --version
+export LINT_RUNNER_PATH="/lint_test_runner"
+if [ ! -d "${LINT_RUNNER_PATH}" ]; then
+ ${CI_RETRY_EXE} apt-get install -y cargo
+ (
+ cd ./test/lint/test_runner || exit 1
+ cargo build
+ mkdir -p "${LINT_RUNNER_PATH}"
+ mv target/debug/test_runner "${LINT_RUNNER_PATH}"
+ )
+fi
+
${CI_RETRY_EXE} pip3 install \
codespell==2.2.5 \
flake8==6.1.0 \
diff --git a/ci/lint/06_script.sh b/ci/lint/06_script.sh
index ccde12a033..af7a517930 100755
--- a/ci/lint/06_script.sh
+++ b/ci/lint/06_script.sh
@@ -30,6 +30,7 @@ test/lint/git-subtree-check.sh src/secp256k1
test/lint/git-subtree-check.sh src/minisketch
test/lint/git-subtree-check.sh src/leveldb
test/lint/git-subtree-check.sh src/crc32c
+RUST_BACKTRACE=1 "${LINT_RUNNER_PATH}/test_runner"
test/lint/check-doc.py
test/lint/all-lint.py
diff --git a/ci/lint/container-entrypoint.sh b/ci/lint/container-entrypoint.sh
index e94a75e22c..a403f923a2 100755
--- a/ci/lint/container-entrypoint.sh
+++ b/ci/lint/container-entrypoint.sh
@@ -11,6 +11,7 @@ export LC_ALL=C
git config --global --add safe.directory /bitcoin
export PATH="/python_build/bin:${PATH}"
+export LINT_RUNNER_PATH="/lint_test_runner"
if [ -z "$1" ]; then
LOCAL_BRANCH=1 bash -ic "./ci/lint/06_script.sh"